#!/usr/bin/env python

import es, usermsg

damage = {}
es.ServerVar('mostdestructive_ver', '1.0', 'Most Destructive Version').makepublic()

def player_hurt(ev):
    userid = int(ev['attacker'])
    if userid not in damage:
        damage[userid] = {'kills' : 0, 'damage' : 0, 'name' : es.getplayername(userid)}
        
    damage[userid]['damage'] += int(ev['dmg_health'])
    
def player_death(ev):
    userid = int(ev['attacker'])
    if userid not in damage:
        damage[userid] = {'kills' : 0, 'damage' : 0, 'name' : es.getplayername(userid)}
        
    damage[userid]['kills'] += 1
    
def round_end(ev):
    if damage:
        last_userid = None
        for userid in damage:
            if not last_userid:
                last_userid = userid
            else:
                if damage[userid]['kills'] > damage[last_userid]['kills']: last_userid = userid
                if damage[userid]['kills'] == damage[last_userid]['kills']:
                    if damage[userid]['damage'] > damage[last_userid]['damage']: last_userid = userid
        usermsg.hudhint('#all',  'The most destructive player is\n%s with\n%s kills and %s damage' % (damage[last_userid]['name'], damage[last_userid]['kills'], damage[last_userid]['damage']))
        damage.clear()